## libnatpmp 20101211

=== Makefile ===
# $Id: Makefile,v 1.14 2010/11/30 11:20:55 nanard Exp $
# This Makefile is designed for use with GNU make
# libnatpmp
# (c) 2007-2010 Thomas Bernard
# http://miniupnp.free.fr/libnatpmp.html

OS = $(shell uname -s)
CC = gcc
INSTALL = install

# APIVERSION is used in soname
APIVERSION = 0
LDFLAGS = --no-undefined
CFLAGS = -O -fPIC -Wall -DENABLE_STRNATPMPERR

LIBOBJS = natpmp.o getgateway.o

OBJS = $(LIBOBJS) testgetgateway.o natpmpc.o

STATICLIB = libnatpmp.a
ifeq ($(OS), Darwin)
  SHAREDLIB = libnatpmp.dynlib
  SONAME = $(basename $(SHAREDLIB)).$(APIVERSION).dylib
  CFLAGS := -DMACOSX -D_DARWIN_C_SOURCE $(CFLAGS)
else
  SHAREDLIB = libnatpmp.so
  SONAME = $(SHAREDLIB).$(APIVERSION)
endif

HEADERS = natpmp.h

EXECUTABLES = testgetgateway natpmpc-shared natpmpc-static

INSTALLPREFIX ?= $(PREFIX)/usr
INSTALLDIRINC = $(INSTALLPREFIX)/include
INSTALLDIRLIB = $(INSTALLPREFIX)/lib
INSTALLDIRBIN = $(INSTALLPREFIX)/bin

.PHONY:	all clean depend install cleaninstall installpythonmodule

all: $(STATICLIB) $(SHAREDLIB) $(EXECUTABLES)

pythonmodule: $(STATICLIB) libnatpmpmodule.c setup.py
	python setup.py build
	touch $@

installpythonmodule: pythonmodule
	python setup.py install

clean:
	$(RM) $(OBJS) $(EXECUTABLES) $(STATICLIB) $(SHAREDLIB)
	$(RM) pythonmodule
	$(RM) -r build/ dist/

depend:
	makedepend -f$(MAKEFILE_LIST) -Y $(OBJS:.o=.c) 2>/dev/null

install:	$(HEADERS) $(STATICLIB) $(SHAREDLIB) natpmpc-shared
	$(INSTALL) -d $(INSTALLDIRINC)
	$(INSTALL) -m 644 $(HEADERS) $(INSTALLDIRINC)
	$(INSTALL) -d $(INSTALLDIRLIB)
	$(INSTALL) -m 644 $(STATICLIB) $(INSTALLDIRLIB)
	$(INSTALL) -m 644 $(SHAREDLIB) $(INSTALLDIRLIB)/$(SONAME)
	$(INSTALL) -m 755 natpmpc-shared $(INSTALLDIRBIN)/natpmpc
	ln -s -f $(SONAME) $(INSTALLDIRLIB)/$(SHAREDLIB)

cleaninstall:
	$(RM) $(addprefix $(INSTALLDIRINC), $(HEADERS))
	$(RM) $(INSTALLDIRLIB)/$(SONAME)
	$(RM) $(INSTALLDIRLIB)/$(SHAREDLIB)
	$(RM) $(INSTALLDIRLIB)/$(STATICLIB)

testgetgateway:	testgetgateway.o getgateway.o

natpmpc-static:	natpmpc.o $(STATICLIB)
	$(CC) -o $@ $^

natpmpc-shared:	natpmpc.o $(SHAREDLIB)
	$(CC) -o $@ $^

$(STATICLIB):	$(LIBOBJS)
	$(AR) crs $@ $?

$(SHAREDLIB):	$(LIBOBJS)
ifeq ($(OS), Darwin)
	$(CC) -dynamiclib -Wl,-install_name,$(SONAME) -o $@ $^
else
	$(CC) -shared -Wl,-soname,$(SONAME) -o $@ $^
endif

# DO NOT DELETE

natpmp.o: natpmp.h getgateway.h declspec.h
getgateway.o: getgateway.h declspec.h
testgetgateway.o: getgateway.h declspec.h
natpmpc.o: natpmp.h

## libnatpmp 20110808

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# $Id: Makefile,v 1.14 2010/11/30 11:20:55 nanard Exp $
+# $Id: Makefile,v 1.18 2011/06/22 21:32:30 nanard Exp $
 # This Makefile is designed for use with GNU make
 # libnatpmp
-# (c) 2007-2010 Thomas Bernard
+# (c) 2007-2011 Thomas Bernard
 # http://miniupnp.free.fr/libnatpmp.html
 
 OS = $(shell uname -s)
@@ -9,8 +9,8 @@
 INSTALL = install
 
 # APIVERSION is used in soname
-APIVERSION = 0
-LDFLAGS = --no-undefined
+APIVERSION = 1
+#LDFLAGS = -Wl,--no-undefined
 CFLAGS = -O -fPIC -Wall -DENABLE_STRNATPMPERR
 
 LIBOBJS = natpmp.o getgateway.o
@@ -19,7 +19,7 @@
 
 STATICLIB = libnatpmp.a
 ifeq ($(OS), Darwin)
-  SHAREDLIB = libnatpmp.dynlib
+  SHAREDLIB = libnatpmp.dylib
   SONAME = $(basename $(SHAREDLIB)).$(APIVERSION).dylib
   CFLAGS := -DMACOSX -D_DARWIN_C_SOURCE $(CFLAGS)
 else
@@ -61,6 +61,7 @@
 	$(INSTALL) -d $(INSTALLDIRLIB)
 	$(INSTALL) -m 644 $(STATICLIB) $(INSTALLDIRLIB)
 	$(INSTALL) -m 644 $(SHAREDLIB) $(INSTALLDIRLIB)/$(SONAME)
+	$(INSTALL) -d $(INSTALLDIRBIN)
 	$(INSTALL) -m 755 natpmpc-shared $(INSTALLDIRBIN)/natpmpc
 	ln -s -f $(SONAME) $(INSTALLDIRLIB)/$(SHAREDLIB)
 
@@ -73,10 +74,10 @@
 testgetgateway:	testgetgateway.o getgateway.o
 
 natpmpc-static:	natpmpc.o $(STATICLIB)
-	$(CC) -o $@ $^
+	$(CC) $(LDFLAGS) -o $@ $^
 
 natpmpc-shared:	natpmpc.o $(SHAREDLIB)
-	$(CC) -o $@ $^
+	$(CC) $(LDFLAGS) -o $@ $^
 
 $(STATICLIB):	$(LIBOBJS)
 	$(AR) crs $@ $?

=== debian/changelog ===
libnatpmp (20110808-4) unstable; urgency=medium

  * Team upload.
  * Use source format 3.0 (quilt), import the diff into a quilt patch.
  * Run wrap-and-sort.
  * Use debhelper compat 9 and the dh sequencer.
  * Multiarchify the library.  Closes: #812959, LP: #1508673
  * Add a symbols file.  Closes: #635535
  * debian/copyright:
    + update to the final copyright-format 1.0.
    + update the years of the upstream part.
    + add myself to the copyright owner of the debian part.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Move the repository to collab-maint.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 28 Jan 2016 10:52:26 +0000

libnatpmp (20110808-3) unstable; urgency=low

  [ Thomas Goirand ]
  * Moves the natpmpc inside a new natpmp-utils package (Closes: #639084).
  * Removes Debian specific natpmpc.1, since upstream integrated it in his
    upstream tarball.

  [ Stanislav Maslovski ]
  * debian/control:
    - no need to build-depend/depend on python: python module is not built
    - corrected libnatpmp1 dependencies
    - corrected libnatpmp-dev dependencies
    - natpmp-utils replaces older libnatpmp binaries
    - linatpmp1 suggests natpmp-utils
  * debian/rules:
    - do not move files by hand, use dh_install
    - install docs and changelogs only once
  * new files:
    - natpmp-utils.install, natpmp-utils.manpages,
      libnatpmp-dev.install, libnatpmp1.install
  * removed files:
    - libnatpmp1.shibls (not needed; autogenerated by dh_makeshlibs),
      manpages

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Aug 2011 12:02:12 +0800

libnatpmp (20110808-2) unstable; urgency=low

  * Removes the Provides: libnatpmp0 (Closes: #638828).

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Aug 2011 18:44:02 +0800

libnatpmp (20110808-1) unstable; urgency=low

  * New upstream version 20110808, now building on kFreeBSD (Closes: #636786).
  * libnatpmp-dev doesn't recommends minissdpd anymore (Closes: #630334).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Aug 2011 17:09:53 +0800

libnatpmp (20110730-1) unstable; urgency=low

  * New upstream release:
  - Reviewed 3 clause BSD license on file headers (Closes: #633643).
  * Renamed libnatpmp0 into libnatpmp1, as upstream did an ABI change,
  consequently upgraded so version.
  * Renamed libnatpmp0.shlibs as libnatpmp1.shlibs.
  * Moving the .a into the .dev package.
  * debian/copyright is now in correct DEP5 format.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Aug 2011 03:21:46 +0800

libnatpmp (20101211-2) unstable; urgency=low

  * libnatpmp-dev now depends on libnatpmp0 (= ${binary:Version})
  (Closes: #630335).
  * This time, uploading to SID.
  * Standards-Version is now 3.9.2.
  * Doesn't Recommends minissdpd, but Suggests it now (Closes: #630334).
  * Updated Makefile to use LDFLAGS = -Wl,--no-undefined instead of just
  --no-undefined, as it wouldn't build otherwise.
  * Removed the first word (an article) in the short description as it was
  bothering lintian.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Jun 2011 21:30:24 +0800

libnatpmp (20101211-1) experimental; urgency=low

  * Initial release. (Closes: #608280)

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Dec 2010 21:25:44 +0800

=== debian/control ===
Source: libnatpmp
Section: net
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>
Build-Depends:
 debhelper (>= 9),
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libnatpmp.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libnatpmp.git
Homepage: http://miniupnp.free.fr/

Package: libnatpmp1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 minissdpd,
 natpmp-utils,
Multi-Arch: same
Description: portable and fully compliant implementation of NAT-PMP
 NAT-PMP is the direct concurrent to the UPnP IGD specification. It is
 providing a way to do NAT traversal. It is part of the Bonjour protocol
 specifications. At the moment it is mainly supported by Apple software and
 hardware. For a way to add NAT-PMP capabilities to your *BSD, Linux or
 (Open)Solaris Router, you should have a look at MiniUPnPd which is
 supporting NAT-PMP in addition to UPnP since December 2007 !
 .
 libnatpmp is an attempt to make a portable and fully compliant
 implementation of the protocol NAT-PMP for the client side. It is based on non
 blocking sockets and all calls of the API are asynchronous. It is therefore
 very easy to integrate the NAT-PMP code to any event driven code.
 .
 This package contains the shared library.

Package: libnatpmp-dev
Architecture: any
Section: libdevel
Depends:
 libnatpmp1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: portable and fully compliant implementation of NAT-PMP (dev files)
 NAT-PMP is the direct concurrent to the UPnP IGD specification. It is
 providing a way to do NAT traversal. It is part of the Bonjour protocol
 specifications. At the moment it is mainly supported by Apple software and
 hardware. For a way to add NAT-PMP capabilities to your *BSD, Linux or
 (Open)Solaris Router, you should have a look at MiniUPnPd which is
 supporting NAT-PMP in addition to UPnP since December 2007 !
 .
 libnatpmp is an attempt to make a portable and fully compliant
 implementation of the protocol NAT-PMP for the client side. It is based on non
 blocking sockets and all calls of the API are asynchronous. It is therefore
 very easy to integrate the NAT-PMP code to any event driven code.
 .
 This package contains development files needed to build using libnatpmp.

Package: natpmp-utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 libnatpmp0,
 libnatpmp1 (<= 20110808-2),
Description: portable and fully compliant implementation of NAT-PMP (userland tool)
 NAT-PMP is the direct concurrent to the UPnP IGD specification. It is
 providing a way to do NAT traversal. It is part of the Bonjour protocol
 specifications. At the moment it is mainly supported by Apple software and
 hardware. For a way to add NAT-PMP capabilities to your *BSD, Linux or
 (Open)Solaris Router, you should have a look at MiniUPnPd which is
 supporting NAT-PMP in addition to UPnP since December 2007 !
 .
 libnatpmp is an attempt to make a portable and fully compliant
 implementation of the protocol NAT-PMP for the client side. It is based on non
 blocking sockets and all calls of the API are asynchronous. It is therefore
 very easy to integrate the NAT-PMP code to any event driven code.
 .
 This package contains the natpmpc test client.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel

override_dh_installdocs:
	dh_installdocs --link-doc=libnatpmp1

override_dh_auto_install:
	$(MAKE) install PREFIX=$(CURDIR)/debian/tmp INSTALLDIRLIB=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=3
http://miniupnp.free.fr/files/download.php\?file=libnatpmp-(\d.*).tar.gz

## libnatpmp 20150609

=== debian/changelog ===
libnatpmp (20150609-7) unstable; urgency=medium

  * Fix symlink overwrites of doc directories (Closes: #905200).
  * Mark Multi-Arch same for libnatpmp1.

 -- Yangfl <mmyangfl@gmail.com>  Tue, 29 Jan 2019 16:33:03 +0800

libnatpmp (20150609-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: multiarchify python Build-Depends. (Closes: #913150)

  [ Yangfl ]
  * Bump Standards-Version to 4.3.0.
  * Bump debhelper compat to 12.

 -- Yangfl <mmyangfl@gmail.com>  Mon, 07 Jan 2019 00:43:47 +0800

libnatpmp (20150609-5) unstable; urgency=medium

  * Fix symlink overwrites of doc directories (Closes: #905200).
  * Bump Standards-Version to 4.2.0.

 -- Yangfl <mmyangfl@gmail.com>  Thu, 16 Aug 2018 19:42:06 +0800

libnatpmp (20150609-4) unstable; urgency=medium

  * Move library to multiarch path.
  * Make Homepage field more accurate.

 -- Yangfl <mmyangfl@gmail.com>  Wed, 23 May 2018 00:40:00 +0800

libnatpmp (20150609-3) unstable; urgency=medium

  * Mark Replaces and Breaks natpmp-utils for natpmpc (Closes: #894249).
  * Mark Multi-Arch same for libnatpmp-dev and python3-libnatpmp.
  * Disable hurd-any due to lack of rt_msghdr and RTM_*.
  * Bump Standards-Version to 4.1.4.

 -- Yangfl <mmyangfl@gmail.com>  Sat, 21 Apr 2018 16:36:49 +0800

libnatpmp (20150609-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 12:47:18 +0000

libnatpmp (20150609-1) experimental; urgency=medium

  [ Yangfl ]
  * New upstream release.
  * Add Python 3 module.
  * Rename natpmp-utils to natpmpc.

  [ Thomas Goirand ]
  * Updated VCS URLs to point to Salsa.
  * Ran wrap-and-sort -bast.
  * Added a debian/gbp.conf.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Feb 2018 16:50:07 +0000

=== debian/control ===
Source: libnatpmp
Section: net
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
Build-Depends:
 debhelper (>= 12~),
 dh-python,
 libpython3-dev,
 python3-dev:any,
 python3-setuptools,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/miniupnp-team/libnatpmp
Vcs-Git: https://salsa.debian.org/miniupnp-team/libnatpmp.git
Homepage: http://miniupnp.free.fr/libnatpmp.html

Package: libnatpmp-dev
Architecture: linux-any kfreebsd-any
Section: libdevel
Depends:
 libnatpmp1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: portable and fully compliant implementation of NAT-PMP (dev files)
 NAT-PMP is the direct concurrent to the UPnP IGD specification. It is
 providing a way to do NAT traversal. It is part of the Bonjour protocol
 specifications. At the moment it is mainly supported by Apple software and
 hardware. For a way to add NAT-PMP capabilities to your *BSD, Linux or
 (Open)Solaris Router, you should have a look at MiniUPnPd which is
 supporting NAT-PMP in addition to UPnP since December 2007 !
 .
 libnatpmp is an attempt to make a portable and fully compliant
 implementation of the protocol NAT-PMP for the client side. It is based on non
 blocking sockets and all calls of the API are asynchronous. It is therefore
 very easy to integrate the NAT-PMP code to any event driven code.
 .
 This package contains development files needed to build using libnatpmp.

Package: libnatpmp1
Architecture: linux-any kfreebsd-any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 minissdpd,
 natpmpc,
Multi-Arch: same
Description: portable and fully compliant implementation of NAT-PMP
 NAT-PMP is the direct concurrent to the UPnP IGD specification. It is
 providing a way to do NAT traversal. It is part of the Bonjour protocol
 specifications. At the moment it is mainly supported by Apple software and
 hardware. For a way to add NAT-PMP capabilities to your *BSD, Linux or
 (Open)Solaris Router, you should have a look at MiniUPnPd which is
 supporting NAT-PMP in addition to UPnP since December 2007 !
 .
 libnatpmp is an attempt to make a portable and fully compliant
 implementation of the protocol NAT-PMP for the client side. It is based on non
 blocking sockets and all calls of the API are asynchronous. It is therefore
 very easy to integrate the NAT-PMP code to any event driven code.
 .
 This package contains the shared library.

Package: natpmp-utils
Architecture: all
Section: oldlibs
Pre-Depends: ${misc:Pre-Depends}
Depends:
 natpmpc,
 ${misc:Depends},
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: natpmpc
Architecture: linux-any kfreebsd-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces: natpmp-utils (<< 20150609)
Breaks: natpmp-utils (<< 20150609)
Description: portable and fully compliant implementation of NAT-PMP (client)
 NAT-PMP is the direct concurrent to the UPnP IGD specification. It is
 providing a way to do NAT traversal. It is part of the Bonjour protocol
 specifications. At the moment it is mainly supported by Apple software and
 hardware. For a way to add NAT-PMP capabilities to your *BSD, Linux or
 (Open)Solaris Router, you should have a look at MiniUPnPd which is
 supporting NAT-PMP in addition to UPnP since December 2007 !
 .
 libnatpmp is an attempt to make a portable and fully compliant
 implementation of the protocol NAT-PMP for the client side. It is based on non
 blocking sockets and all calls of the API are asynchronous. It is therefore
 very easy to integrate the NAT-PMP code to any event driven code.
 .
 This package contains the natpmpc test client.

Package: python3-libnatpmp
Architecture: linux-any kfreebsd-any
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Multi-Arch: same
Description: portable and fully compliant implementation of NAT-PMP (Python 3 bindings)
 NAT-PMP is the direct concurrent to the UPnP IGD specification. It is
 providing a way to do NAT traversal. It is part of the Bonjour protocol
 specifications. At the moment it is mainly supported by Apple software and
 hardware. For a way to add NAT-PMP capabilities to your *BSD, Linux or
 (Open)Solaris Router, you should have a look at MiniUPnPd which is
 supporting NAT-PMP in addition to UPnP since December 2007 !
 .
 libnatpmp is an attempt to make a portable and fully compliant
 implementation of the protocol NAT-PMP for the client side. It is based on non
 blocking sockets and all calls of the API are asynchronous. It is therefore
 very easy to integrate the NAT-PMP code to any event driven code.
 .
 This package contains the Python 3 bindings.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*file=([^&]*)/$1/ \
	http://miniupnp.free.fr/files/download.php\?file=libnatpmp-(\d.*).tar.gz

## libnatpmp 20230423

=== debian/changelog ===
libnatpmp (20230423-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062480

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:20:51 +0000

libnatpmp (20230423-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Sebastien Bacher ]
  * debian/patches/install-extra-header.patch:
    - install an extra header which is included by natpmp.h since the new
      version but not added to the list of files to install.
      (Closes: #1051692)

  [ Boyuan Yang ]
  * debian/clean: Explicitly add ".pybuild/" as file to be cleaned
    to avoid build failure after a successful build. (Closes: #1048485)
  * debian/source/options: Use extend-diff-ignore to filter out influence
    of egg-info files.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Sep 2023 13:23:52 -0400

libnatpmp (20230423-1) unstable; urgency=medium

  * New upstream release.
  * Drop transitional package natpmp-utils (Closes: #1032707).
  * Bump Standards-Version to 4.6.2.
  * Bump debhelper compat to 13.
  * Add upstream metadata.

 -- Yangfl <mmyangfl@gmail.com>  Sun, 06 Aug 2023 10:55:08 +0800

libnatpmp (20150609-7.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 21 Dec 2020 23:52:33 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Thomas Goirand <zigo@debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
-Build-Depends:
- debhelper (>= 12~),
+Build-Depends: dpkg-dev (>= 1.22.5),
+ debhelper-compat (= 13),
  dh-python,
  libpython3-dev,
  python3-dev:any,
  python3-setuptools,
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/miniupnp-team/libnatpmp
 Vcs-Git: https://salsa.debian.org/miniupnp-team/libnatpmp.git
 Homepage: http://miniupnp.free.fr/libnatpmp.html
@@ -19,7 +20,7 @@
 Architecture: linux-any kfreebsd-any
 Section: libdevel
 Depends:
- libnatpmp1 (= ${binary:Version}),
+ libnatpmp1t64 (= ${binary:Version}),
  ${misc:Depends},
 Multi-Arch: same
 Description: portable and fully compliant implementation of NAT-PMP (dev files)
@@ -37,7 +38,10 @@
  .
  This package contains development files needed to build using libnatpmp.
 
-Package: libnatpmp1
+Package: libnatpmp1t64
+Provides: ${t64:Provides}
+Replaces: libnatpmp1
+Breaks: libnatpmp1 (<< ${source:Version})
 Architecture: linux-any kfreebsd-any
 Section: libs
 Depends:
@@ -61,16 +65,6 @@
  very easy to integrate the NAT-PMP code to any event driven code.
  .
  This package contains the shared library.
-
-Package: natpmp-utils
-Architecture: all
-Section: oldlibs
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
- natpmpc,
- ${misc:Depends},
-Description: transitional package
- This is a transitional package. It can safely be removed.
 
 Package: natpmpc
 Architecture: linux-any kfreebsd-any
@@ -101,8 +95,6 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
-Provides:
- ${python3:Provides},
 Multi-Arch: same
 Description: portable and fully compliant implementation of NAT-PMP (Python 3 bindings)
  NAT-PMP is the direct concurrent to the UPnP IGD specification. It is

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =

export PYBUILD_SYSTEM = distutils


%:
	dh $@ --with python3

override_dh_auto_build:
	dh_auto_build -- DEB_HOST_ARCH_OS=$(DEB_HOST_ARCH_OS)
	dh_auto_build --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install -- 'PREFIX=$$(DESTDIR)'
	dh_auto_install --buildsystem=pybuild
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/libnatpmp* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_installdocs:
	dh_installdocs -plibnatpmp-dev -plibnatpmp1t64 --link-doc=libnatpmp1t64
	dh_installdocs -Nlibnatpmp-dev -Nlibnatpmp1t64

=== debian/watch ===
version=4
opts=filenamemangle=s/.*file=([^&]*)/$1/,pgpsigurlmangle=s%$%.sig% \
	http://miniupnp.free.fr/files/download.php\?file=libnatpmp-(\d.*).tar.gz
